<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1zoomable__region.html">zoomable_region</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::zoomable_region Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>adjust_origin</b>(const point &amp;gui_p, const vector&lt; double, 2 &gt; &amp;graph_p) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bottom</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>center_display_at_graph_point</b>(const vector&lt; double, 2 &gt; &amp;p) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>disable</b>() (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>disable_events</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>display_rect</b>() const (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>display_rect_</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>drag_screen_point</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>draw</b>(const canvas &amp;c) const (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>drawable</b>(drawable_window &amp;w, unsigned long events_=0) (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>enable</b>() (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>enable_events</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>enabled</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>events_are_enabled</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_rect</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html#a558c48da5865c4dd5c989f81a81e7121">gr_orig</a></td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>graph_to_gui_space</b>(const vector&lt; double, 2 &gt; &amp;p) const (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>gui_to_graph_space</b>(const point &amp;p) const (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>height</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>hidden</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>hide</b>() (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>hsb</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>is_enabled</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>is_hidden</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>lastx</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>lasty</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>left</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>lr_point</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>main_font</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>max_graph_point</b>() const (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>max_scale</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>max_zoom_scale</b>() const (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mfont</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>min_scale</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>min_zoom_scale</b>() const (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>mouse_drag_screen</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>next_free_user_event_number</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_focus_gained</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_focus_lost</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_h_scroll</b>() (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_keydown</b>(unsigned long, bool, unsigned long) (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_mouse_down</b>(unsigned long btn, unsigned long state, long x, long y, bool is_double_click) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_mouse_enter</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_mouse_leave</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_mouse_move</b>(unsigned long state, long x, long y) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_mouse_up</b>(unsigned long btn, unsigned long state, long x, long y) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_string_put</b>(const std::wstring &amp;) (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_user_event</b>(int) (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_v_scroll</b>() (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_view_changed</b>() (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_wheel_down</b>(unsigned long state) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_wheel_up</b>(unsigned long state) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_window_moved</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_window_resized</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator=</b>(zoomable_region &amp;) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>parent</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>parent_window</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>parent_window</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>rect</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>redraw_graph</b>() (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>right</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>scale</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_main_font</b>(const shared_ptr_thread_safe&lt; font &gt; &amp;f) (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_max_zoom_scale</b>(double ms) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_min_zoom_scale</b>(double ms) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_pos</b>(long x, long y) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_size</b>(unsigned long width, unsigned long height) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_style</b>(const style_type &amp;style_) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_z_order</b>(long order) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_zoom_increment</b>(double zi) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_zoom_scale</b>(double new_scale) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>show</b>() (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>sout</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>style</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>top</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>vsb</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>width</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>z_order</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>zoom_increment</b>() const (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>zoom_increment_</b> (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>zoom_scale</b>() const (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html#abe1ffff750bb1c471adc4b03274876fe">zoomable_region</a>(drawable_window &amp;w, unsigned long events=0)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>zoomable_region</b>(zoomable_region &amp;) (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~drawable</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~zoomable_region</b>()=0 (defined in <a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1zoomable__region.html">dlib::zoomable_region</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
